### Constructor

# Shumate DataSourceRequest new

since: 1.1

#### Declaration [src]

    ShumateDataSourceRequest*
    shumate_data_source_request_new (
      int x,
      int y,
      int zoom_level
    )

#### Description [src]

Creates a new `ShumateDataSourceRequest`.

Only implementations of `Shumate.DataSourceClass.start_request` should need to construct a new request object.

Available since: 1.1

#### Parameters

`x`

  Type: `int`

  X coordinate of the requested tile.

`y`

  Type: `int`

  Y coordinate of the requested tile.

`zoom_level`

  Type: `int`

  Zoom level of the requested tile.

#### Return value

Type: `ShumateDataSourceRequest`

A new `ShumateDataSourceRequest`.

The caller of the function takes ownership of the data, and is responsible for freeing it.